/* 
 * File:   packet.h
 * Author: zacharykowalczyk
 *
 * Created on February 21, 2020, 9:26 PM
 */

#ifndef PACKET_H
#define	PACKET_H

// Struct to store KX222 data
typedef struct
{
    float x_data;
    float y_data;
    float z_data;
} Data_KX;

typedef struct
{
    uint32_t time;
    float altitude;
    Data_KX kx_data[8];
} Data;

typedef union 
{
    Data data;
    uint8_t buffer[100];
} Packet;




#endif	/* PACKET_H */

